Skip to main content
Get edge volume instance status
Authentication · API availability · Download OpenAPI

Authorizations

Authorization
string
header
required

Bearer token for user session

Headers

X-Request-Id
string

User-Agent specified id to track a request

Path Parameters

id
string
required

Response

A successful response.

id
string
name
string
deviceId
string
runState
enum<string>
default:RUN_STATE_UNSPECIFIED
  • RUN_STATE_ONLINE: Entity Online
  • RUN_STATE_HALTED: Entity Halted
  • RUN_STATE_INIT: Entity Initializing
  • RUN_STATE_REBOOTING: Entity Rebooting
  • RUN_STATE_OFFLINE: Entity Offline
  • RUN_STATE_UNKNOWN: Entity state Unknown
  • RUN_STATE_UNPROVISIONED: Entity Unprovisioned
  • RUN_STATE_PROVISIONED: Entity Provisioned
  • RUN_STATE_SUSPECT: Entity Suspect
  • RUN_STATE_DOWNLOADING: Edge-node downloading entity artifacts
  • RUN_STATE_RESTARTING: Entity Restarting
  • RUN_STATE_PURGING: Entity Purging
  • RUN_STATE_HALTING: Entity Halting
  • RUN_STATE_ERROR: Entity encountered an error
  • RUN_STATE_VERIFYING: Verification of downloaded Artifacts in Progress.
  • RUN_STATE_LOADING: Loading of Artifacts into local datastore in Progress.
  • RUN_STATE_CREATING_VOLUME: Volume creation from artifacts in Progress
  • RUN_STATE_BOOTING: Entity booting up
  • RUN_STATE_MAINTENANCE_MODE: Entity maintenance mode
  • RUN_STATE_START_DELAYED: Application start delayed as per configuration
  • RUN_STATE_BASEOS_UPDATING: Device BaseOs Update in Progress
  • RUN_STATE_PREPARING_POWEROFF: device preparing power off - shutting down all app instances
  • RUN_STATE_POWERING_OFF: device powering off from local profile server
  • RUN_STATE_PREPARED_POWEROFF: device prepared power off - all app instances are shut down
Available options:
RUN_STATE_UNSPECIFIED,
RUN_STATE_ONLINE,
RUN_STATE_HALTED,
RUN_STATE_INIT,
RUN_STATE_REBOOTING,
RUN_STATE_OFFLINE,
RUN_STATE_UNKNOWN,
RUN_STATE_UNPROVISIONED,
RUN_STATE_PROVISIONED,
RUN_STATE_SUSPECT,
RUN_STATE_DOWNLOADING,
RUN_STATE_RESTARTING,
RUN_STATE_PURGING,
RUN_STATE_HALTING,
RUN_STATE_ERROR,
RUN_STATE_VERIFYING,
RUN_STATE_LOADING,
RUN_STATE_CREATING_VOLUME,
RUN_STATE_BOOTING,
RUN_STATE_MAINTENANCE_MODE,
RUN_STATE_START_DELAYED,
RUN_STATE_BASEOS_UPDATING,
RUN_STATE_PREPARING_POWEROFF,
RUN_STATE_POWERING_OFF,
RUN_STATE_PREPARED_POWEROFF
projectId
string
progressPercentage
integer<int64>
usage
DeviceObjectUsageInfo carries metadata of object usage on the device. · object

DeviceObjectUsageInfo provides the metadata of object usage on the device

resource
object
sha256
string
type
enum<string>
default:VOLUME_INSTANCE_TYPE_UNSPECIFIED
Available options:
VOLUME_INSTANCE_TYPE_UNSPECIFIED,
VOLUME_INSTANCE_TYPE_EMPTYDIR,
VOLUME_INSTANCE_TYPE_BLOCKSTORAGE,
VOLUME_INSTANCE_TYPE_HOSTFS,
VOLUME_INSTANCE_TYPE_TMPFS,
VOLUME_INSTANCE_TYPE_SECRET,
VOLUME_INSTANCE_TYPE_NFS,
VOLUME_INSTANCE_TYPE_AWS_BLOCK_STORAGE,
VOLUME_INSTANCE_TYPE_CONTENT_TREE
deviceState
enum<string>
default:SW_STATE_UNSPECIFIED
  • SW_STATE_RESOLVING_TAG: Prior to DOWNLOAD_STARTED we go through these: Resolving an image tag
  • SW_STATE_RESOLVED_TAG: Tag has been resolved/failed
  • SW_STATE_CREATING_VOLUME: Prior to INSTALLED we go through these: Volume create in progress
  • SW_STATE_CREATED_VOLUME: Volume create done/failed
  • SW_STATE_VERIFYING: Verification in-progress
  • SW_STATE_LOADING: Loading blob in CAS
  • SW_STATE_LOADED: Loaded blob in CAS
  • SW_STATE_AWAITNETWORKINSTANCE: Wait for network instance
Available options:
SW_STATE_UNSPECIFIED,
SW_STATE_INITIAL,
SW_STATE_DOWNLOAD_IN_PROGRESS,
SW_STATE_DOWNLOADED,
SW_STATE_VERIFIED,
SW_STATE_INSTALLED,
SW_STATE_BOOTING,
SW_STATE_RUNNING,
SW_STATE_HALTING,
SW_STATE_HALTED,
SW_STATE_REFRESHING,
SW_STATE_PURGING,
SW_STATE_RESOLVING_TAG,
SW_STATE_RESOLVED_TAG,
SW_STATE_CREATING_VOLUME,
SW_STATE_CREATED_VOLUME,
SW_STATE_VERIFYING,
SW_STATE_LOADING,
SW_STATE_LOADED,
SW_STATE_AWAITNETWORKINSTANCE
blobs
object[]
errInfo
DeviceError is used to store the error details of the hardware. · object[]
rawStatus
string
clusterVolInstanceStatus
object